Page MenuHomePhabricator

Create PHP 7.3 and PHP 7.4 variants of docker-registry.wikimedia.org/dev/stretch-php72-fpm-apache2-xdebug
Open, HighPublic

Description

It would be nice to have PHP 7.3 and PHP 7.4 variants of the docker-registry.wikimedia.org/dev/stretch-php72-fpm-apache2-xdebug image. Not sure of the best way to go about implementing that though.

Event Timeline

kostajh created this task.Feb 17 2020, 3:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 17 2020, 3:04 PM
brennen moved this task from Next to In Progress on the User-brennen board.Feb 21 2020, 9:01 PM
brennen moved this task from In Progress to Next on the User-brennen board.Mar 30 2020, 4:32 PM

Change 598103 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[releng/dev-images@master] [WIP] Provide stretch-php73 and stretch php-74

https://gerrit.wikimedia.org/r/598103

If we're OK silently using Sury's versions and then switching to the Wikimedia versions as/when they exist, this will do, right?

That's what quibble does AFAICT, so that seems fine to me.

brennen moved this task from Next to In Progress on the User-brennen board.Jun 17 2020, 5:33 PM
brennen moved this task from In Progress to Next on the User-brennen board.Jul 15 2020, 4:49 PM
brennen moved this task from Next to In Progress on the User-brennen board.Jul 27 2020, 4:46 PM

Change 622575 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[releng/dev-images@master] DNM: Split php-fpm and apache2 containers

https://gerrit.wikimedia.org/r/622575

jeena moved this task from Backlog to In Progress on the MediaWiki-Docker board.Sep 23 2020, 5:53 AM

Change 630988 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[mediawiki/core@master] DNM: [docker] split php-fpm and apache containers

https://gerrit.wikimedia.org/r/630988

Change 598103 abandoned by Brennen Bearnes:
[releng/dev-images@master] [WIP] Provide stretch-php73 and stretch php-74

Reason:
Going with a less repetitive layout.

https://gerrit.wikimedia.org/r/598103

Change 622575 merged by Jeena Huneidi:
[releng/dev-images@master] Split php-fpm and apache2 containers

https://gerrit.wikimedia.org/r/622575

Mentioned in SAL (#wikimedia-releng) [2020-11-16T17:03:35Z] <brennen> Updating dev-images docker-pkg files on primary contint for T245444